=== debian/changelog ===
fcitx5-gtk (0.0~git20191111.6f9ef64-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.5.0.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Feb 2020 16:54:09 -0500

fcitx5-gtk (0.0~git20191111.6f9ef64-1) unstable; urgency=medium

  * Initial release. (Closes: #949345)

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Nov 2019 23:10:27 -0500
