## fcitx5-gtk 0.0~git20200819.d26dd52

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 include(GenerateExportHeader)
 include(FeatureSummary)
 include(GNUInstallDirs)
-include(FcitxCompilerSettings)
 include(ECMUninstallTarget)
 
 option(ENABLE_GIR "GObject Introspection" ON)
@@ -18,20 +17,24 @@
 option(ENABLE_GTK3_IM_MODULE "Enable GTK3 IM Module" ON)
 option(ENABLE_SNOOPER "Enable Key Snooper for gtk app" ON)
 
-if(NOT NO_SNOOPER_APPS)
-  set(NO_SNOOPER_APPS ".*chrome.*,.*chromium.*,firefox.*,Do.*"
-    CACHE STRING "Disable Key Snooper for following app")
-endif()
+set(NO_SNOOPER_APPS ".*chrome.*,.*chromium.*,firefox.*,Do.*"
+    CACHE STRING "Disable Key Snooper for following app by default.")
+set(NO_PREEDIT_APPS "gvim.*" CACHE STRING "Disable preedit for follwing app by default.")
+set(SYNC_MODE_APPS "firefox.*" CACHE STRING "Use sync mode for following app by default.")
 
 configure_file(config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h")
 include_directories("${CMAKE_CURRENT_BINARY_DIR}")
 find_package(PkgConfig)
 find_package(XKBCommon)
 find_package(Fcitx5Utils)
-pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET "glib-2.0")
+pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET "glib-2.0>=2.38")
 pkg_check_modules(Gio2 REQUIRED IMPORTED_TARGET "gio-2.0")
 pkg_check_modules(GObject2 REQUIRED IMPORTED_TARGET "gobject-2.0")
 add_subdirectory(fcitx-gclient)
+
+set(CMAKE_C_VISIBILITY_PRESET default)
+
+include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 
 if (ENABLE_GTK2_IM_MODULE OR ENABLE_GTK3_IM_MODULE)
 find_package(X11 REQUIRED)
