## fcitx5-gtk 5.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-set(FCITX5_GTK_VERSION 4.99.0)
-project(fcitx5-gtk VERSION ${FCITX5_GTK_VERSION})
+project(fcitx5-gtk VERSION 5.0.3)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -15,6 +14,7 @@
 option(ENABLE_GIR "GObject Introspection" ON)
 option(ENABLE_GTK2_IM_MODULE "Enable GTK2 IM Module" ON)
 option(ENABLE_GTK3_IM_MODULE "Enable GTK3 IM Module" ON)
+option(ENABLE_GTK4_IM_MODULE "Enable GTK4 IM Module" ON)
 option(ENABLE_SNOOPER "Enable Key Snooper for gtk app" ON)
 
 set(NO_SNOOPER_APPS ".*chrome.*,.*chromium.*,firefox.*,Do.*"
@@ -26,7 +26,6 @@
 include_directories("${CMAKE_CURRENT_BINARY_DIR}")
 find_package(PkgConfig)
 find_package(XKBCommon)
-find_package(Fcitx5Utils)
 pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET "glib-2.0>=2.38")
 pkg_check_modules(Gio2 REQUIRED IMPORTED_TARGET "gio-2.0")
 pkg_check_modules(GObject2 REQUIRED IMPORTED_TARGET "gobject-2.0")
@@ -34,9 +33,9 @@
 
 set(CMAKE_C_VISIBILITY_PRESET default)
 
-include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
+include(cmake/CompilerSettings.cmake)
 
-if (ENABLE_GTK2_IM_MODULE OR ENABLE_GTK3_IM_MODULE)
+if (ENABLE_GTK2_IM_MODULE OR ENABLE_GTK3_IM_MODULE OR ENABLE_GTK4_IM_MODULE)
 find_package(X11 REQUIRED)
 add_library(X11Import UNKNOWN IMPORTED)
 set_target_properties(X11Import PROPERTIES
@@ -52,4 +51,8 @@
 add_subdirectory(gtk3)
 endif()
 
+if (ENABLE_GTK4_IM_MODULE)
+add_subdirectory(gtk4)
+endif()
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
