=== debian/changelog ===
fcitx5-gtk (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable GTK4 for now.
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 01:45:19 +0800

fcitx5-gtk (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove libfcitx5utils-dev from Build-Depends
  * Fix libfcitx5gclient1.install file match

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 18:29:41 +0800

fcitx5-gtk (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump libfcitx5utils-dev to 5.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 00:10:37 +0800

fcitx5-gtk (0.0~git20200912.8835e96-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Bump libfcitx5utils-dev to 0.0~git20201030
  * Add patch to align libfcitx5gclient version with soversion
  * Update libfcitx5gclient1.symbols

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 22:57:16 +0800
