=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  extra-cmake-modules,
  gobject-introspection,
  libbrotli-dev,
- libfcitx5utils-dev (>= 0.0~git20200626),
  libgirepository1.0-dev,
  libgtk-3-dev,
  libgtk2.0-dev,
@@ -19,7 +18,7 @@
  libxkbcommon-x11-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/fcitx/fcitx5-gtk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk
