## fcitx5-gtk 5.0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.0.4)
+project(fcitx5-gtk VERSION 5.0.11)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -14,7 +14,7 @@
 option(ENABLE_GIR "GObject Introspection" ON)
 option(ENABLE_GTK2_IM_MODULE "Enable GTK2 IM Module" ON)
 option(ENABLE_GTK3_IM_MODULE "Enable GTK3 IM Module" ON)
-option(ENABLE_GTK4_IM_MODULE "Enable GTK4 IM Module" ON)
+option(ENABLE_GTK4_IM_MODULE "Enable GTK4 IM Module" OFF)
 option(ENABLE_SNOOPER "Enable Key Snooper for gtk app" ON)
 
 set(NO_SNOOPER_APPS ".*chrome.*,.*chromium.*,firefox.*,Do.*"
@@ -26,7 +26,7 @@
 include_directories("${CMAKE_CURRENT_BINARY_DIR}")
 find_package(PkgConfig)
 find_package(XKBCommon)
-pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET "glib-2.0>=2.38")
+pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET "glib-2.0>=2.56")
 pkg_check_modules(Gio2 REQUIRED IMPORTED_TARGET "gio-2.0")
 pkg_check_modules(GObject2 REQUIRED IMPORTED_TARGET "gobject-2.0")
 add_subdirectory(fcitx-gclient)
