=== gtk4/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,14 @@
 set(FCITX_GTK4_IM_MODULE_SOURCES
   fcitxim.c
   fcitximcontext.cpp
+  fcitximcontext5.cpp
+  inputwindow.cpp
+  gtk4inputwindow.cpp
+  fcitxtheme.cpp
+  utils.cpp
   )
 
-pkg_check_modules(Gtk4 REQUIRED IMPORTED_TARGET "gtk4")
+pkg_check_modules(Gtk4 REQUIRED IMPORTED_TARGET "gtk4>=4.2")
 pkg_check_modules(Gtk4X11 REQUIRED IMPORTED_TARGET "gtk4-x11")
 pkg_get_variable(GTK4_BINARY_VERSION "gtk4" "gtk_binary_version")
