=== debian/changelog ===
fcitx5-gtk (5.0.11.1-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Wed, 09 Mar 2022 16:57:25 +0800

fcitx5-gtk (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Jan 2022 12:57:06 -0500

fcitx5-gtk (5.0.10-1) unstable; urgency=medium

  * New upstream release 5.0.10.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Dec 2021 14:48:02 -0500

fcitx5-gtk (5.0.9-1) unstable; urgency=medium

  * New upstream release 5.0.9.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 10:55:33 -0500

fcitx5-gtk (5.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix typo in package description

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 02:37:01 +0800

fcitx5-gtk (5.0.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Sep 2021 19:58:15 -0400

fcitx5-gtk (5.0.7-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 02:49:15 +0800

fcitx5-gtk (5.0.4-2) experimental; urgency=medium

  * Team upload.
  * Enable building gtk4 frontend

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 22:56:21 +0800

fcitx5-gtk (5.0.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add libfmt-dev to Build-Depends
  * Bump libfcitx5gclient SO to 2

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 22:45:32 +0800
