=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.6.0),
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  extra-cmake-modules,
  gobject-introspection,
  libbrotli-dev,
+ libfmt-dev,
  libgirepository1.0-dev,
  libgtk-3-dev,
  libgtk2.0-dev,
@@ -18,7 +19,7 @@
  libxkbcommon-x11-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/fcitx/fcitx5-gtk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk
@@ -31,7 +32,7 @@
  ${shlibs:Depends},
 Description: GTK2 IM Module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -53,7 +54,7 @@
  ${shlibs:Depends},
 Description: GTK3 IM Module for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -77,7 +78,7 @@
  ${shlibs:Depends},
 Description: GObject introspection data for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -100,7 +101,7 @@
  ${misc:Depends},
 Description: GLib-based D-Bus client library for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
@@ -113,7 +114,7 @@
  This package provides the development files for GLib-based D-Bus client
  library of fcitx5.
 
-Package: libfcitx5gclient1
+Package: libfcitx5gclient2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -122,7 +123,7 @@
  ${shlibs:Depends},
 Description: GLib-based D-Bus client library for fcitx5 (library)
  Fcitx5 is the next generation of fcitx input method framework. It
- provides plasant and modern input experience with intuitive graphical
+ provides pleasant and modern input experience with intuitive graphical
  configuration tools. The framework is highly extensible with support
  for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
  environments and a developer-friendly API.
