=== gtk2/CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,6 @@
   fcitxim.c
   fcitximcontext.cpp
   )
-
-pkg_check_modules(Gtk2 REQUIRED IMPORTED_TARGET "gtk+-2.0")
-pkg_check_modules(Gdk2 REQUIRED IMPORTED_TARGET "gdk-2.0")
-pkg_check_modules(Gdk2X11 REQUIRED IMPORTED_TARGET "gdk-x11-2.0")
-pkg_get_variable(GTK2_BINARY_VERSION "gtk+-2.0" "gtk_binary_version")
 
 if (NOT DEFINED GTK2_IM_MODULEDIR)
     set(GTK2_IM_MODULEDIR "${CMAKE_INSTALL_LIBDIR}/gtk-2.0/${GTK2_BINARY_VERSION}/immodules" CACHE PATH "Gtk2 im module directory")
