=== debian/changelog ===
fcitx5-gtk (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Feb 2022 10:46:35 -0500
