=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.6.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  gobject-introspection,
  libbrotli-dev,
  libfmt-dev,
  libgirepository1.0-dev,
  libgtk-3-dev,
+ libgtk-4-dev,
  libgtk2.0-dev,
  libx11-dev,
  libxkbcommon-dev,
@@ -65,6 +66,28 @@
  and desktop environments.
  .
  This package provides the im module of fcitx5. Users of GTK3-based
+ applications are highly recommended to have this package installed
+ for better input method support.
+
+Package: fcitx5-frontend-gtk4
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: GTK4 IM Module for fcitx5
+ Fcitx5 is the next generation of fcitx input method framework. It
+ provides pleasant and modern input experience with intuitive graphical
+ configuration tools. The framework is highly extensible with support
+ for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
+ environments and a developer-friendly API.
+ .
+ Some of its new features include support of both Wayland and Xorg
+ and the ability to mimic IBus Input Method Framework in order to
+ provide better compatibility across different Linux distributions
+ and desktop environments.
+ .
+ This package provides the im module of fcitx5. Users of GTK4-based
  applications are highly recommended to have this package installed
  for better input method support.
